Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ModelDescription

    java.lang.Object
      org.jboss.portal.wsrp.core.ModelDescription

All Implemented Interfaces:
  java.io.Serializable

    public class ModelDescription

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected ModelTypes` | `modelTypes`
`protected PropertyDescription[]` | `propertyDescriptions`

Constructor Summary
`ModelDescription()`
`ModelDescription(PropertyDescription[] propertyDescriptions, ModelTypes modelTypes, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`ModelTypes` | `getModelTypes()`
`PropertyDescription[]` | `getPropertyDescriptions()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setModelTypes(ModelTypes modelTypes)`
`void` | `setPropertyDescriptions(PropertyDescription[] propertyDescriptions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyDescriptions

    protected PropertyDescription[] propertyDescriptions

### modelTypes

    protected ModelTypes modelTypes

### extensions

    protected Extension[] extensions

Constructor Detail

### ModelDescription

    public ModelDescription()

### ModelDescription

    public ModelDescription(PropertyDescription[] propertyDescriptions,
                            ModelTypes modelTypes,
                            Extension[] extensions)

Method Detail

### getPropertyDescriptions

    public PropertyDescription[] getPropertyDescriptions()

### setPropertyDescriptions

    public void setPropertyDescriptions(PropertyDescription[] propertyDescriptions)

### getModelTypes

    public ModelTypes getModelTypes()

### setModelTypes

    public void setModelTypes(ModelTypes modelTypes)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD